> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent

> Delete an AI voice agent



## OpenAPI

````yaml delete /test_framework/v2/aiagents/{id}/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v2/aiagents/{id}/:
    delete:
      tags:
        - test_framework
      summary: Delete an AI voice agent
      description: >-
        ⚠ Irreversible. Deletes the agent. Pass delete_related=false to detach
        evaluators instead of deleting them.
      operationId: aiagents-destroy
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this ai agent.
          required: true
        - in: query
          name: delete_related
          schema:
            type: boolean
          description: >-
            If true (default), delete associated evaluators, results and runs.
            If false, detach evaluators and leave results as-is.
      responses:
        '204':
          description: No response body
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  field_name:
                    type: array
                    items:
                      type: string
          description: ''
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````